local AL = LibStub("AceLocale-3.0")

local silent = true

local L = AL:GetLocale("DXE")
if not L then
    local L = AL:NewLocale("DXE", "enUS", true, silent)
end

if L then
	-- Chat triggers
	local chat_HellfireCitadel = AL:NewLocale("DXE Chat HellfireCitadel", "enUS", true, silent)
	AL:GetLocale("DXE").chat_HellfireCitadel = AL:GetLocale("DXE Chat HellfireCitadel")
	-- NPC names
	local npc_HellfireCitadel = AL:NewLocale("DXE NPC HellfireCitadel", "enUS", true, silent)
	AL:GetLocale("DXE").npc_HellfireCitadel = AL:GetLocale("DXE NPC HellfireCitadel")
	if GetLocale() == "enUS" or GetLocale() == "enGB" then return end
end

local L = AL:NewLocale("DXE", "ruRU")
if L then
	-- Chat triggers
	local chat_HellfireCitadel = AL:NewLocale("DXE Chat HellfireCitadel", "ruRU")
	
	AL:GetLocale("DXE").chat_HellfireCitadel = AL:GetLocale("DXE Chat HellfireCitadel")
	
	-- NPC names
	local npc_HellfireCitadel = AL:NewLocale("DXE NPC HellfireCitadel", "ruRU")
	npc_HellfireCitadel["Fel Hellweaver"] = "Скверномант"
	npc_HellfireCitadel["Fiery Enkindler"] = "Огненная возжигательница"
	npc_HellfireCitadel["Graggra"] = "Граггра"
	npc_HellfireCitadel["Bleeding Darkcaster"] = "Темный маг из клана Кровавой Глазницы"
	npc_HellfireCitadel["Salivating Bloodthirster"] = "Истекающий слюной кровопийца"
	npc_HellfireCitadel["Construct Peacekeeper"] = "Голем-миротворец"
	npc_HellfireCitadel["Binder Eloah"] = "Властитель Элоа"
	npc_HellfireCitadel["Adjunct Kuroh"] = "Адъюнкт Куро"
	npc_HellfireCitadel["Dag'gorath"] = "Даг'горат"
	npc_HellfireCitadel["Eredar Faithbreaker"] = "Эредар – разрушитель веры"
	npc_HellfireCitadel["Azgalor"] = "Азгалор"
	
	AL:GetLocale("DXE").npc_HellfireCitadel = AL:GetLocale("DXE NPC HellfireCitadel")
	return
end

local L = AL:NewLocale("DXE", "deDE")
if L then
	-- Chat triggers
	local chat_HellfireCitadel = AL:NewLocale("DXE Chat HellfireCitadel", "deDE")
	
	AL:GetLocale("DXE").chat_HellfireCitadel = AL:GetLocale("DXE Chat HellfireCitadel")
	
	-- NPC names
	local npc_HellfireCitadel = AL:NewLocale("DXE NPC HellfireCitadel", "deDE")
	npc_HellfireCitadel["Fel Hellweaver"] = "Dämonenhöllenweber"
	npc_HellfireCitadel["Fiery Enkindler"] = "Feurige Zündlerin"
	npc_HellfireCitadel["Graggra"] = "Graggra"
	npc_HellfireCitadel["Bleeding Darkcaster"] = "Blutender Dunkelzauberer"
	npc_HellfireCitadel["Salivating Bloodthirster"] = "Geifernder Blutdürster"
	npc_HellfireCitadel["Construct Peacekeeper"] = "Friedensbewahrerkonstrukt"
	npc_HellfireCitadel["Binder Eloah"] = "Binder Eloah"
	npc_HellfireCitadel["Adjunct Kuroh"] = "Adjunkt Kuroh"
	npc_HellfireCitadel["Dag'gorath"] = "Dag'gorath"
	npc_HellfireCitadel["Eredar Faithbreaker"] = "Glaubensbrecher der Eredar"
	npc_HellfireCitadel["Azgalor"] = "Azgalor"
	npc_HellfireCitadel["Corrupted Talonpriest"] = "Verderbter Krallenpriester"	
	
	AL:GetLocale("DXE").npc_HellfireCitadel = AL:GetLocale("DXE NPC HellfireCitadel")
	return
end

local L = AL:NewLocale("DXE", "frFR")
if L then
	-- Chat triggers
	local chat_HellfireCitadel = AL:NewLocale("DXE Chat HellfireCitadel", "frFR")
	
	AL:GetLocale("DXE").chat_HellfireCitadel = AL:GetLocale("DXE Chat HellfireCitadel")
	
	-- NPC names
	local npc_HellfireCitadel = AL:NewLocale("DXE NPC HellfireCitadel", "frFR")
	npc_HellfireCitadel["Fel Hellweaver"] = "Tisse-enfer gangrené"
	npc_HellfireCitadel["Fiery Enkindler"] = "Inflammatrice embrasée"
	npc_HellfireCitadel["Graggra"] = "Graggra"
	npc_HellfireCitadel["Bleeding Darkcaster"] = "Invocateur noir sanguinolent"
	npc_HellfireCitadel["Salivating Bloodthirster"] = "Carnassier salivant"
	npc_HellfireCitadel["Construct Peacekeeper"] = "Assemblage garde-paix"
	npc_HellfireCitadel["Binder Eloah"] = "Lieur Eloah"
	npc_HellfireCitadel["Adjunct Kuroh"] = "Subalterne Kuroh"
	npc_HellfireCitadel["Dag'gorath"] = "Dag’gorath"
	npc_HellfireCitadel["Eredar Faithbreaker"] = "Erédar brisefoi"
	npc_HellfireCitadel["Azgalor"] = "Azgalor"
	npc_HellfireCitadel["Corrupted Talonpriest"] = "Prêtre de la serre corrompu"		
	
	AL:GetLocale("DXE").npc_HellfireCitadel = AL:GetLocale("DXE NPC HellfireCitadel")
	return
end

local L = AL:NewLocale("DXE", "zhCN")
if L then
	-- Chat triggers
	local chat_HellfireCitadel = AL:NewLocale("DXE Chat HellfireCitadel", "zhCN")
	
	AL:GetLocale("DXE").chat_HellfireCitadel = AL:GetLocale("DXE Chat HellfireCitadel")
	
	-- NPC names
	local npc_HellfireCitadel = AL:NewLocale("DXE NPC HellfireCitadel", "zhCN")
	--npc_HellfireCitadel["Fel Hellweaver"] = ""
	--npc_HellfireCitadel["Fiery Enkindler"] = ""
	--npc_HellfireCitadel["Graggra"] = ""
	--npc_HellfireCitadel["Bleeding Darkcaster"] = ""
	--npc_HellfireCitadel["Salivating Bloodthirster"] = ""
	--npc_HellfireCitadel["Construct Peacekeeper"] = ""
	--npc_HellfireCitadel["Binder Eloah"] = ""
	--npc_HellfireCitadel["Adjunct Kuroh"] = ""
	--npc_HellfireCitadel["Dag'gorath"] = ""
	--npc_HellfireCitadel["Eredar Faithbreaker"] = ""
	--npc_HellfireCitadel["Azgalor"] = ""
	--npc_HellfireCitadel["Corrupted Talonpriest"] = ""

	AL:GetLocale("DXE").npc_HellfireCitadel = AL:GetLocale("DXE NPC HellfireCitadel")
	return
end
